% Load check plot data
mc0 = load('checkplotdatawithoutricattifixedpoint.mat');
mc1 = load('checkplotdatawithricattifixedpoint.mat');

% Add matlab2tikz to the path
currentpath = mfilename('fullpath');
addpath(sprintf('%smatlab2tikz/src', currentpath(1:end-15)))

names = fieldnames(mc0.mcheck.cross);

nr = 3;
nc = 3;

r = 1;
c = 1;

shift = 0;


for j=1:7

    for i=1:nr*nc
        name = names{i+shift};
        m = Inf; M = -Inf;
        subplot(nr, nc, i)
        plot(mc0.mcheck.cross.(name)(:,1), mc0.mcheck.cross.(name)(:,2), '-k', 'linewidth', 2)
        m = min(m, min(mc0.mcheck.cross.(name)(:,2)));
        M = max(M, max(mc0.mcheck.cross.(name)(:,2)));
        hold on
        plot(mc1.mcheck.cross.(name)(:,1), mc1.mcheck.cross.(name)(:,2), '--r', 'linewidth', 2)
        m = min(m, min(mc1.mcheck.cross.(name)(:,2)));
        M = max(M, max(mc1.mcheck.cross.(name)(:,2)));
        plot([mc0.mcheck.emode.(name), mc0.mcheck.emode.(name)],[m, M], '-k')
        plot([mc1.mcheck.emode.(name), mc1.mcheck.emode.(name)],[m, M], '--r')
        axis tight
        title(name, 'Interpreter', 'none')
        if c==nc
            r = r+1;
            c = 1;
        end
    end

    hold off
    matlab2tikz(sprintf('cross-posterior-kernel-%u.tex', j));
    close all

    fid = fopen('standalone.template.tex','rt');
    tex = fread(fid);
    fclose(fid);

    tex = strrep(char(tex'), '<FNAME>', sprintf('cross-posterior-kernel-%u.tex', j));

    fid = fopen('standalone.tex','wt');
    fwrite(fid, tex);
    fclose(fid);

    !pdflatex standalone
    movefile('standalone.pdf', sprintf('cross-posterior-kernel-%u.pdf', j))
    delete standalone.aux standalone.tex standalone.log

    shift = shift+nr*nc;

end
